﻿$(function () {
    // on page load
    showOrHide('#all-countries', '.selected-countries');
    showOrHide('#all-languages', '.selected-languages');
    showOrHide('#all-currencies', '.selected-currencies');
    showOrHide('#all-categories', '.selected-categories');

    // on change listeners
    onChange('#all-countries', '.selected-countries');
    onChange('#all-languages', '.selected-languages');
    onChange('#all-currencies', '.selected-currencies');
    onChange('#all-categories', '.selected-categories');

    $(document).on("change", "#LiveMode", function () {
        if (!this.checked) {
            if ($("#LiveAPIKey").val() == "") {
                $("#LiveAPIKey").delay(300).css("border", "1px solid pink");
                $("#LiveKeyError").html('<span style="text-align: center; color: red">Please enter Live API Key</span>');
                $('input[name="LiveMode"]').prop("checked", false);
            }
            else {
                $("#LiveAPIKey").delay(300).css("border", "1px solid green");
                $("#LiveKeyError").html('');
            }
        }
        else {
            $("#LiveKeyError").html('');
            $("#LiveAPIKey").delay(300).css("border", "1px solid green");
        }
    });

    $('#LiveAPIKey').on('blur', function () {
        if ($(this).val() == "") {
            $('input[name="LiveMode"]').prop("checked", false);
        }
        else {
            $("#LiveAPIKey").delay(300).css("border", "1px solid green");
            $("#LiveKeyError").html('');
        }
    });

});

$(function () {

    $(".selected-categories #filtered-categories").on("click", function () {
        var dataarray = [];
        $("select#filtered-categories option:selected").each(function () {
            var parentSelector = $(this).text();
            dataarray.push($(this).val());
            $("select#filtered-categories option").each(function () {
                if ($(this).text().indexOf(parentSelector) >= 0) {
                    dataarray.push($(this).val());
                }
            });
        });
        $("select#filtered-categories").val(dataarray);
        // Then refresh
        $("select#filtered-categories").multiselect("refresh");
        console.log(dataarray);
    });
});

function onChange(parentSelector, childSelector) {
    $(parentSelector).change(function () {
        showOrHide(this, childSelector);
    });
}

function showOrHide(that, selector) {
    if (selector == '.selected-categories') {
        if ($(that).val() === 'true') {
            $(selector).show();
        }
        else {
            $(selector).hide();
        }
    }
    else {
        if ($(that).val() === 'false') {
            $(selector).show();
        }
        else {
            $(selector).hide();
        }
    }
}